require 'maschine-generator'

describe Maschine::Generator do
    
    it "must have the maschine api key" do
        generator = Maschine::Generator.new

    end
    

    it "creates the needed directories" do        
        generator = Maschine::Generator.new        
        generator.createDirs
        generator.dirs.each do |dir|
            expect(Dir.exists?(dir)).to be_truthy
        end
    end

    it "copy theme files" do
        generator = Maschine::Generator.new
        generator.copyTheme
    end

    it "copy root files" do
        generator = Maschine::Generator.new
        generator.copyRootFiles
        generator.rootFiles.each do |file|
            expect(File.exists?(file)).to be_truthy
        end    
    end
        
end