# encoding: utf-8
require File.expand_path("../lib/maschine-generator/version", __FILE__)

Gem::Specification.new do |s|
    #Metadata
    s.name = "maschine-generator"
    s.version = Maschine::VERSION
    s.authors = ["Thomas Meitz"]
    s.email = ["info@retailify.de"]
    s.homepage = "https://maschine.io"
    s.summary = %q{maschine.io site generator}
    s.description = %q{maschine.io jekyll site generator for maschine customers}
    s.licenses = "MIT"
# If you want to show a post-install message, uncomment the following lines
#    s.post_install_message = <<-MSG
#
#MSG

    #Manifest
    s.files         = `git ls-files -z`.split("\x0").reject do |f|
        f.match(%r{^(test|spec|features)/})
    end
    s.test_files = `git ls-files -- {test,spec,features}/*`.split("\n")
    s.executables = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
    s.require_paths = ['lib']

    s.add_development_dependency "bundler", "~> 1.16"
    s.add_development_dependency "rake", "~> 10.0"
    s.add_development_dependency "rspec", "~> 3.0"
    
end
